Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css
Interface CSSAppExceptionIF

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  CSSException

public interface CSSAppExceptionIF
extends java.io.Serializable

These are the methods that a customized exception class should implement. These methods allow for associating error codes to exceptions for better debugging.

See Also:
  `CSSException`

Field Summary
`static long` | `AUTHENTICATION_EXCEPTION` Constant specifying an authentication exception.
`static long` | `COMMUNICATION_EXCEPTION` Constant specifying that the directory could not be contacted and is not available for the request.
`static long` | `CONFIGURATION_EXCEPTION` Constant specifying that the configuration cannot be retrieved, is not valid, or is corrupted.
`static long` | `DIRECTORY_UNTRUSTED_EXCEPTION` Constant specifying that the directory is untrusted and the required operation cannot be performed.
`static long` | `GENERAL_EXCEPTION` Constant that specifies an abnormal behavior in the execution.
`static long` | `ILLEGAL_ARGUMENT_EXCEPTION` Constant that specifies an illegal argument to a method.
`static long` | `INVALID_GROUP_EXCEPTION` Constant specifying that the group specified does not exist.
`static long` | `INVALID_IDENTITY_EXCEPTION` Constant specifying that the identity is invalid or not in the correct format.
`static long` | `INVALID_USER_EXCEPTION` Constant specifying that the user specified does not exist, but existed at some time.
`static long` | `NO_PROVIDER_EXCEPTION` Constant specifying that the provider does not exist.
`static long` | `OPERATION_NOT_SUPPORTED_EXCEPTION` Constant specifying that a particular provider does not support this operation.
`static long` | `SECURITY_AGENT_NOT_CONFIGURED` Constant specifying that the Security Agent is not configured but header is passed in.
`static long` | `TOKEN_CANNOT_BE_DECRYPTED` Constant specifying that the token cannot be decrypted into useful information.
`static long` | `TOKEN_CANNOT_BE_ENCRYPTED` Constant specifying that the information needed to create the token exists, hence the token has been created, but it cannot be encrypted.
`static long` | `TOKEN_NOT_ACCEPTED_EXCEPTION` Constant that specifies that the token passed in from another source (another application) is not a valid token and therefore is rejected.
`static long` | `TOKEN_NOT_AVAILABLE_EXCEPTION` Constant specifying that the token cannot be created or is not available.
`static long` | `USER_NOT_FOUND_EXCEPTION` Constant specifying that the user specified does not exist.

Method Summary
`long` | `getErrorCode()` Returns the error code.
`void` | `setErrorCode(long errorCode)` Sets the error code
`void` | `setLocale(java.util.Locale locale)` Sets the locale for exception messages.
`java.lang.String` | `toString()` The string representation of this throwable.

Field Detail

### GENERAL_EXCEPTION

    public static final long GENERAL_EXCEPTION

  Constant that specifies an abnormal behavior in the execution.

  The value of this constant is "0".

  See Also:
    Constant Field Values

### ILLEGAL_ARGUMENT_EXCEPTION

    public static final long ILLEGAL_ARGUMENT_EXCEPTION

  Constant that specifies an illegal argument to a method.

  The value of this constant is "1".

  See Also:
    Constant Field Values

### AUTHENTICATION_EXCEPTION

    public static final long AUTHENTICATION_EXCEPTION

  Constant specifying an authentication exception. This implies that a user is found but the password does not match; in other words, the credentials are invalid.

  The value of this constant is "2".

  See Also:
    Constant Field Values

### COMMUNICATION_EXCEPTION

    public static final long COMMUNICATION_EXCEPTION

  Constant specifying that the directory could not be contacted and is not available for the request.

  The value of this constant is "3".

  See Also:
    Constant Field Values

### INVALID_USER_EXCEPTION

    public static final long INVALID_USER_EXCEPTION

  Constant specifying that the user specified does not exist, but existed at some time. This exception is likely to occur if the identity is passed in but no user can be found with that identity. The user might have been deleted.

  The value of this constant is "4".

  See Also:
    Constant Field Values

### NO_PROVIDER_EXCEPTION

    public static final long NO_PROVIDER_EXCEPTION

  Constant specifying that the provider does not exist. It is possible that the provider name specified does not match those that exist in the configuration.

  The value of this constant is "5".

  See Also:
    Constant Field Values

### TOKEN_NOT_AVAILABLE_EXCEPTION

    public static final long TOKEN_NOT_AVAILABLE_EXCEPTION

  Constant specifying that the token cannot be created or is not available.

  The value of this constant is "6".

  See Also:
    Constant Field Values

### TOKEN_CANNOT_BE_ENCRYPTED

    public static final long TOKEN_CANNOT_BE_ENCRYPTED

  Constant specifying that the information needed to create the token exists, hence the token has been created, but it cannot be encrypted.

  The value of this constant is "7".

  See Also:
    Constant Field Values

### TOKEN_CANNOT_BE_DECRYPTED

    public static final long TOKEN_CANNOT_BE_DECRYPTED

  Constant specifying that the token cannot be decrypted into useful information.

  The value of this constant is "8".

  See Also:
    Constant Field Values

### CONFIGURATION_EXCEPTION

    public static final long CONFIGURATION_EXCEPTION

  Constant specifying that the configuration cannot be retrieved, is not valid, or is corrupted.

  The value of this constant is "9".

  See Also:
    Constant Field Values

### USER_NOT_FOUND_EXCEPTION

    public static final long USER_NOT_FOUND_EXCEPTION

  Constant specifying that the user specified does not exist. This usually happens during authentication when no user is found with that `loginName`.

  The value of this constant is "10".

  See Also:
    Constant Field Values

### TOKEN_NOT_ACCEPTED_EXCEPTION

    public static final long TOKEN_NOT_ACCEPTED_EXCEPTION

  Constant that specifies that the token passed in from another source (another application) is not a valid token and therefore is rejected.

  The value of this constant is "11".

  See Also:
    Constant Field Values

### INVALID_IDENTITY_EXCEPTION

    public static final long INVALID_IDENTITY_EXCEPTION

  Constant specifying that the identity is invalid or not in the correct format.

  The value of this constant is "0".

  See Also:
    Constant Field Values

### OPERATION_NOT_SUPPORTED_EXCEPTION

    public static final long OPERATION_NOT_SUPPORTED_EXCEPTION

  Constant specifying that a particular provider does not support this operation.

  The value of this constant is "13".

  See Also:
    Constant Field Values

### INVALID_GROUP_EXCEPTION

    public static final long INVALID_GROUP_EXCEPTION

  Constant specifying that the group specified does not exist. This exception might occur if the identity is passed in but no group could be found with that identity. The group may have been deleted.

  The value of this constant is "14".

  See Also:
    Constant Field Values

### DIRECTORY_UNTRUSTED_EXCEPTION

    public static final long DIRECTORY_UNTRUSTED_EXCEPTION

  Constant specifying that the directory is untrusted and the required operation cannot be performed. This exception might occur if the token does not carry the password for a user based in a directory that is not trusted.

  The value of this constant is "15".

  See Also:
    Constant Field Values

### SECURITY_AGENT_NOT_CONFIGURED

    public static final long SECURITY_AGENT_NOT_CONFIGURED

  Constant specifying that the Security Agent is not configured but header is passed in.

  The value of this constant is "16".

  See Also:
    Constant Field Values

Method Detail

### toString

    public java.lang.String toString()

  The string representation of this throwable.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this throwable

### getErrorCode

    public long getErrorCode()

  Returns the error code. This code might be application specified and dependent due to the exception.

  Returns:
    the error code

### setErrorCode

    public void setErrorCode(long errorCode)

  Sets the error code

  Parameters:
    `errorCode` - Specifies the type of error and is associated with an exception class.

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale for exception messages. You must set the locale before invoking the `CSSException.getMessage(long)`.

  Parameters:
    `locale` - The name of the geographical or cultural locale object defined in java.util.Locale.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD